<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jeeplus.sys.mapper.UserSignatureInfoMapper">


    <insert id="addDefaultSignatureCount">
        INSERT INTO sys_signature_info (
            user_id,
            signature_count
        ) VALUES (
         #{userId},
         '100'
                 )
    </insert>
    <select id="findById" resultType="com.jeeplus.sys.domain.UserSignatureInfo">
        select
            a.user_id as userId,
            a.signature_count as signatureCount
        from sys_signature_info a
        where a.user_id = #{userId}
    </select>

</mapper>
